Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save.converters
Class SampleEventConverter

    java.lang.Object
      org.apache.jmeter.save.converters.SampleEventConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

public class SampleEventConverter
extends Object
implements com.thoughtworks.xstream.converters.Converter

XStream Converter for the SampleResult class

Constructor Summary
`SampleEventConverter()`

Method Summary
`boolean` | `canConvert(Class arg0)`
`static String` | `getVersion()` Returns the converter version; used to check for possible incompatibilities
`void` | `marshal(Object source, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SampleEventConverter

    public SampleEventConverter()

Method Detail

### getVersion

    public static String getVersion()

  Returns the converter version; used to check for possible incompatibilities

### canConvert

    public boolean canConvert(Class arg0)

  Specified by:
    `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

### marshal

    public void marshal(Object source,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext context)

  Specified by:
    `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

  Specified by:
    `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.